import { FetchResult } from "@apollo/client/core";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import { CreateEmptyCartMutation } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Create an empty cart.
 *
 * @example
 * Simple usage:
 * ```ts
 * import { sdk } from '~/sdk.config.ts';
 *
 * // create an empty cart
 * const cart = await sdk.magento.createEmptyCart();
 *
 * // cart id can be accessed from the response
 * const cartId = cart.data.createEmptyCart;
 * ```
 */
export declare function createEmptyCart(context: Context, customHeaders?: CustomHeaders): Promise<FetchResult<CreateEmptyCartMutation>>;
//# sourceMappingURL=index.d.ts.map