import { FetchResult } from "@apollo/client/core";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import { RevokeCustomerTokenMutation } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Revoke customer token.
 * It is used to log out the current customer.
 *
 * @example
 * Simple usage if the customer is logged in and the token is valid:
 *
 * ```ts
 * import { sdk } from '~/sdk.config.ts';
 *
 * // token will be invalidated and the customer will be logged out
 * await sdk.magento.revokeCustomerToken();
 * ```
 */
export declare function revokeCustomerToken(context: Context, customHeaders?: CustomHeaders): Promise<FetchResult<RevokeCustomerTokenMutation>>;
//# sourceMappingURL=index.d.ts.map